/*
// app works as expected if you create the row like this:
var row = Alloy.createController('row', { rowProps: {
    selectionStyle: Ti.UI.iPhone.TableViewCellSelectionStyle.NONE,
    title: 'Row 1'
}}).getView();
*/
var row = Ti.UI.createTableViewRow({
    selectionStyle: Ti.UI.iPhone.TableViewCellSelectionStyle.NONE,
    title: 'Row 1'
});

var button = Ti.UI.createButton({
    title: "Press!",
    width: 50, height: 50,
    backgroundColor: "red",
    right: 25
});
button.addEventListener("click", function(e) {
    console.log(e);
});

row.add(button);

/*
// app works correctly if you create the section and
// add rows like this 
var section = Ti.UI.createTableViewSection();
section.add(row);
*/
var section = Ti.UI.createTableViewSection({
    rows: [row]
});

/*
// app works correctly if you set the table data like this
$.table.setData([row]);
*/
$.table.setData([section]);
$.index.open();
